IvyMakePom
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyMakePom

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyMakePom

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyMakePom

extends IvyTask

Convert an ivy file to a pom

Nested Class Summary
`class` | `IvyMakePom.Dependency`
`class` | `IvyMakePom.Mapping`

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`location, project`

Constructor Summary
`IvyMakePom()`

Method Summary
`IvyMakePom.Dependency` | `createDependency()`
`IvyMakePom.Mapping` | `createMapping()`
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getArtifactName()`
`java.lang.String` | `getArtifactPackaging()`
`java.lang.String` | `getConf()`
`java.lang.String` | `getDescription()`
`java.io.File` | `getHeaderFile()`
`java.io.File` | `getIvyFile()`
`java.io.File` | `getPomFile()`
`java.io.File` | `getTemplateFile()`
`boolean` | `isPrintIvyInfo()`
`void` | `setArtifactName(java.lang.String artifactName)`
`void` | `setArtifactPackaging(java.lang.String artifactPackaging)`
`void` | `setConf(java.lang.String conf)`
`void` | `setDescription(java.lang.String description)`
`void` | `setHeaderFile(java.io.File headerFile)`
`void` | `setIvyFile(java.io.File ivyFile)`
`void` | `setPomFile(java.io.File file)`
`void` | `setPrintIvyInfo(boolean printIvyInfo)`
`void` | `setTemplateFile(java.io.File templateFile)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getLocation, getProject, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyMakePom

    public IvyMakePom()

Method Detail

### getPomFile

    public java.io.File getPomFile()

### setPomFile

    public void setPomFile(java.io.File file)

### getIvyFile

    public java.io.File getIvyFile()

### setIvyFile

    public void setIvyFile(java.io.File ivyFile)

### getHeaderFile

    public java.io.File getHeaderFile()

### setHeaderFile

    public void setHeaderFile(java.io.File headerFile)

### getTemplateFile

    public java.io.File getTemplateFile()

### setTemplateFile

    public void setTemplateFile(java.io.File templateFile)

### getDescription

    public java.lang.String getDescription()

  Overrides:
    `getDescription` in class `org.apache.tools.ant.ProjectComponent`

### setDescription

    public void setDescription(java.lang.String description)

  Overrides:
    `setDescription` in class `org.apache.tools.ant.ProjectComponent`

### isPrintIvyInfo

    public boolean isPrintIvyInfo()

### setPrintIvyInfo

    public void setPrintIvyInfo(boolean printIvyInfo)

### getConf

    public java.lang.String getConf()

### setConf

    public void setConf(java.lang.String conf)

### getArtifactName

    public java.lang.String getArtifactName()

### setArtifactName

    public void setArtifactName(java.lang.String artifactName)

### getArtifactPackaging

    public java.lang.String getArtifactPackaging()

### setArtifactPackaging

    public void setArtifactPackaging(java.lang.String artifactPackaging)

### createMapping

    public IvyMakePom.Mapping createMapping()

### createDependency

    public IvyMakePom.Dependency createDependency()

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD